package com.datacloudsec.utils;

import com.datacloudsec.scan.common.Constant;
import java.io.File;
import java.io.FileOutputStream;
import org.apache.commons.io.IOUtils;
import org.xhtmlrenderer.pdf.ITextFontResolver;
import org.xhtmlrenderer.pdf.ITextRenderer;

public class PdfUtil {

   public static void htmlToPdf(File html, File resDir, File pdf) throws Exception {
      String url = html.toURI().toURL().toString();
      ITextRenderer renderer = new ITextRenderer();
      renderer.setDocument(url);
      ITextFontResolver fontResolver = renderer.getFontResolver();
      fontResolver.addFont((new File(Constant.WORK_DIR, "fonts/simsun.ttc")).getAbsolutePath(), "Identity-H", false);
      if(resDir != null) {
         renderer.getSharedContext().setBaseURL("file:///" + resDir.getAbsoluteFile());
      }

      renderer.layout();
      FileOutputStream os = null;

      try {
         os = new FileOutputStream(pdf);
         renderer.createPDF(os);
      } finally {
         IOUtils.closeQuietly(os);
      }

   }

   public static void main(String[] args) {
      try {
         htmlToPdf(new File("D:/123/test/test.html"), (File)null, new File("d:/123/test.pdf"));
      } catch (Exception var2) {
         var2.printStackTrace();
      }

   }
}
